import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'rechargeStatus'
})
export class RechargeStatusPipe implements PipeTransform {

  transform(value: number): string {
    switch (value) {
      case 201:
        return '充值中';
      case 202:
        return '充值成功';
      case 203:
        return '充值失败';
      case 204:
        return '未充值';
    }
  }

}
